// ****************************************************************************
// copyright (c) 2000-2003 Horst Knorr <hk_classes@knoda.org>
// This file is part of the hk_classes library.
// This file may be distributed and/or modified under the terms of the
// GNU Library Public License version 2 as published by the Free Software
// Foundation and appearing in the file COPYING included in the
// packaging of this file.
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
// ****************************************************************************
#ifndef HK_INTERPRETER
#define HK_INTERPRETER
#include "hk_class.h"
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

class hk_button;

class hk_interpreter:public hk_class
{
public:
hk_interpreter(){}
virtual ~hk_interpreter(){}

virtual bool button_clicked(hk_button*)=0;

protected:


private:

};


class hk_no_interpreter:public hk_interpreter
{
public:
virtual bool button_clicked(hk_button*);
private:
void warning(void);

};

#ifdef HAVE_PYTHON
class hk_pythoninterpreter:public hk_interpreter
{
public:
hk_pythoninterpreter();
virtual ~hk_pythoninterpreter();

virtual bool button_clicked(hk_button*);

protected:


private:



};

#endif //HAVE_PYTHON
#endif //HK_INTERPRETER

